Skip to main content
PATCH
Error

Authorizations

fastapiusersauth
string
cookie
required

Path Parameters

tunnel_id
string<uuid>
required
workspace_id
string<uuid>
required

Body

application/json
name
string | null
Required string length: 1 - 63
Pattern: ^[a-z0-9]([a-z0-9_-]*[a-z0-9])?$
description
string | null
Maximum string length: 1000
endpoint
string<uri> | null
Minimum string length: 1
client_id
string | null
Required string length: 1 - 255
client_secret
string<password> | null
Required string length: 1 - 1024
allowed_targets
TunnelTarget · object[] | null
Required array length: 1 - 100 elements
enabled
boolean | null

Response

Successful Response

Tunnel metadata. The client secret is write-only and never returned.

id
string<uuid>
required
workspace_id
string<uuid>
required
name
string
required
description
string | null
required
provider
enum<string>
required
Available options:
pangolin
endpoint
string
required
client_id
string
required
allowed_targets
TunnelTarget · object[]
required
enabled
boolean
required
has_gateway_key
boolean
required
managed
boolean
required
created_at
string<date-time>
required
updated_at
string<date-time>
required